# Created by pyp2rpm-3.3.7
%global pypi_name fastbencode

%bcond_without check

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 2
Summary:        Implementation of bencode with optional fast C extensions
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/breezy-team/fastbencode
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
fastbencode is an implementation of the bencode serialization format originally
used by BitTorrent.

The package includes both a pure-Python version and an optional C extension
based on Cython. Both provide the same functionality, but the C extension
provides significantly better performance.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
fastbencode is an implementation of the bencode serialization format originally
used by BitTorrent.

The package includes both a pure-Python version and an optional C extension
based on Cython. Both provide the same functionality, but the C extension
provides significantly better performance.

%pyproject_extras_subpkg -n python3-%{pypi_name} cext

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x cext

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fastbencode

%if %{with check}
%check
%{py3_test_envvars} %{python3} -m unittest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.1-2.mga10
+ Revision: 2237054
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 0.3.1-1.mga10
+ Revision: 2152553
- new version 0.3.1
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 0.2-3.mga10
+ Revision: 2016362
- rebuild for py3.12
- rebuild for py3.12

* Sun Feb 12 2023 wally <wally> 0.2-1.mga9
+ Revision: 1940935
- new version 0.2
- add cext extras subpkg

* Sun Dec 04 2022 wally <wally> 0.1-1.mga9
+ Revision: 1917742
- new version 0.1

* Mon Aug 08 2022 wally <wally> 0.0.9-1.mga9
+ Revision: 1876154
- new version 0.0.9
- switch build to use pyproject RPM macros

* Mon Apr 11 2022 wally <wally> 0.0.7-1.mga9
+ Revision: 1848870
- imported package python-fastbencode

